Subject: [Tsvwg] RE: WG Last Call: three draft-ietf-v6ops-ipv4survey-*01 documents (fwd)

From: [email-masked]
Date: Mon, 25 Aug 2003 15:10:44 +0300

Gentlemen,

This is a good document, I am glad to see this kind of document
being worked on.  I understand that this must have been a huge
undertaking, but I have some very quick requests.  Could you improve
the ToC, for example, listing the RFCs as subsections?  Also,
the formatting of the document is confusing - I believe that
all paragraph text should be indented - which it is not; however
text copied from existing RFCs should probably be doubly indented
(it is currently indented a single time, for example in 3.3.1)

I hope this is not overly nit-picky, but my first attempt at 
reading this document was not successful as the current formatting
got in the way of understanding what is being discussed.

thanks,
John

> -----Original Message-----
> From: ext Pekka Savola [mailto:[email-masked]]
> Sent: 22 August, 2003 11:09
> To: [email-masked]
> Cc: [email-masked]; Soininen Jonne (NET/Helsinki);
> [email-masked]
> Subject: WG Last Call: three draft-ietf-v6ops-ipv4survey-*01 documents
> (fwd)
> 
> 
> FYI;
> 
> Your oxen are being gutted and you're invited to the bloodfest.
> 
> In other words..
> 
> Feedback & Review is sought.  Please take a look at the 
> transport IPv4 
> survey document:
>                                                               
>                                      
> http://www.ietf.org/internet-drafts/draft-ietf-v6ops-ipv4surve
> y-trans-01.txt
> 
> It's not too long; please send feedback.  In particular, it 
> would be good
> to identify specifications which have incorrect information, or
> specifications which are not longer relevant and could be moved to
> historic (if someone bothered to do that, but that's a 
> different topic),
> or the like.
> 
> Thanks,
>  Pekka, Jonne & Bob
>  v6ops co-chairs
> 
> ---------- Forwarded message ----------
> Date: Fri, 22 Aug 2003 10:38:49 +0300 (EEST)
> From: Pekka Savola <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], [email-masked], 
> [email-masked],
>      [email-masked]
> Subject: WG Last Call: three draft-ietf-v6ops-ipv4survey-*01 documents
> 
> Hi all,
> 
> This is a WG Last Call for comments on sending the following the next
> three "Survey of IPv4 Addresses in Currently Deployed IETF Standards"
> documents to the IESG for consideration as Informational RFCs:
> 
> Survey of IPv4 Addresses in Currently Deployed IETF Routing 
> Area Standards
>   
http://www.ietf.org/internet-drafts/draft-ietf-v6ops-ipv4survey-routing-01.txt

Survey of IPv4 Addresses in Currently Deployed IETF Security Area Standards
  http://www.ietf.org/internet-drafts/draft-ietf-v6ops-ipv4survey-sec-01.txt

Survey of IPv4 Addresses in Currently Deployed IETF Transport Area 
Standards
  
http://www.ietf.org/internet-drafts/draft-ietf-v6ops-ipv4survey-trans-01.txt

Please review these documents carefully, and send your feedback to the
list (editorial modifications may also be sent to the editors, Cesar for
the first, Andreas for the other two).  Please also indicate whether or
not you believe that this document is ready to go to the IESG.  Silence
does NOT indicate consent.  Unless sufficient support is demonstrated on
the list, the documents will not be send to the IESG.

The last call will end in 3 weeks, on 12th September.

Pekka, Jonne & Bob

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Pekka Savola <[email-masked]>
Date: Mon, 25 Aug 2003 16:44:43 +0300 (EEST)

Thanks for review.. (the document in question is the Transport Area 
document).

I'm responding to the both emails here.

On Mon, 25 Aug 2003 [email-masked] wrote:
> undertaking, but I have some very quick requests.  

Ok..

> Could you improve
> the ToC, for example, listing the RFCs as subsections?  

ToC could get quite long, compare to ...-ipv4survey-apps-01.  It may not 
necessarily make it clearer (IMHO).  It also may be more difficult to 
generate a "full ToC", depends on the tools used.

Personally I don't have a strong opinion either way.

> Also,
> all paragraph text should be indented - which it is not; 

Agreed, I don't know how difficult this would be given the methods used to 
edit the documents.

> however

I agree but this could cause problems, if the double-intending would push 
the length beyond 72 characters, there could be problems..
 
> got in the way of understanding what is being discussed.

Yep.

> Section 4 doesn't contain any Draft Standards ... I assume this is an
> oversite.

Maybe Andreas forgot to add the sentence saying that there are no Draft 
Standards here (or if there actually are, those are missing somewhere).

> In section 5, it might be better not to list the specs that have no IPv4
> dependencies, or better yet, move them all to an appendix and list them
> in tabular format.

We're trying to list these documents under section 7.  Hopefully this is 
clear enough, as we'd hope to avoid restructuring Phil's legacy too 
much..?

> References are a little sparse, too - you may want to consider putting
> all RFCs listed into the References as well.

I disagree, but not strongly; IMHO, it should be apparent that the 
specific RFC's are all "unofficial" RFC's .. the list in the end would 
just get very, very long for not significant benefit (one that I could see 
anyway).

Thoughts?

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings